Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface SimpleRichTextWithOwnerReplaceType

All Superinterfaces:
  SimpleRichTextType

All Known Implementing Classes:
  SimpleRichTextWithOwnerReplaceTypeImpl

    public interface SimpleRichTextWithOwnerReplaceType

extends SimpleRichTextType

Java content class for simpleRichTextWithOwnerReplaceType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 799)

     <complexType name="simpleRichTextWithOwnerReplaceType">
       <complexContent>
         <extension base="{http://infoml.org/infomlFile}simpleRichTextType">
           <attribute name="owner" use="required" type="{http://infoml.org/infomlFile}infoRIType" />
           <attribute name="replaceOriginal" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </extension>
       </complexContent>
     </complexType>

Nested Class Summary

Nested classes/interfaces inherited from interface org.infoml.jaxb.SimpleRichTextType
`SimpleRichTextType.A, SimpleRichTextType.Code, SimpleRichTextType.Em, SimpleRichTextType.Pre, SimpleRichTextType.Strong`

Method Summary
`java.lang.String` | `getOwner()` Gets the value of the owner property.
`boolean` | `isReplaceOriginal()` Gets the value of the replaceOriginal property.
`void` | `setOwner(java.lang.String value)` Sets the value of the owner property.
`void` | `setReplaceOriginal(boolean value)` Sets the value of the replaceOriginal property.

Methods inherited from interface org.infoml.jaxb.SimpleRichTextType
`getContent`

Method Detail

### getOwner

    java.lang.String getOwner()

  Gets the value of the owner property.

  Returns:
    possible object is `String`

### setOwner

    void setOwner(java.lang.String value)

  Sets the value of the owner property.

  Parameters:
    `value` - allowed object is `String`

### isReplaceOriginal

    boolean isReplaceOriginal()

  Gets the value of the replaceOriginal property.

### setReplaceOriginal

    void setReplaceOriginal(boolean value)

  Sets the value of the replaceOriginal property.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD